export default function useExpandedRowKeys(defaultKeys?: React.Key[]): {
    expandedRowKeys: import('react').Key[];
    currentExpand: import('react').Key | null;
    setCurrentExpand: import('react').Dispatch<import('react').SetStateAction<import('react').Key | null>>;
    clearExpandedRowKeys: () => void;
    updateExpandedRowKeys: (keys: React.Key[]) => void;
    removeExpandedRowKey: (keys: React.Key[]) => void;
    handleExpandChange: (expanded: boolean, record: any, rowKey: any) => void;
    handleExpandAll: (expanded: boolean, keys?: React.Key[]) => void;
};
